Subject: bug#58563: 29.0.50; Generic functions and advertised-calling-convention

From: Stefan Monnier <[email-masked]>
Date: Sun, 16 Oct 2022 10:26:43 -0400

> I think...  that this belongs in the cl-defgeneric only, and not in the
> cl-defmethod.

Agreed.

> (Unless there isn't a cl-defgeneric, which is sometimes the case.)

I wouldn't bother special casing this.
I think it's OK to say that if you want an
`advertised-calling-convention` you need to add a `cl-defgeneric`.
This likely applies to most other `declare`ations, actually.

        Stefan